import { ReactElement } from 'react';
export declare type typographyBreakPoints = 'displayL' | 'displayM' | 'displayS' | 'displayBoldL' | 'displayBoldM' | 'displayBoldS' | 'headingL' | 'headingM' | 'headingS' | 'headingXS' | 'bodyXL' | 'bodyL' | 'bodyM' | 'bodyS' | 'bodyXS' | 'labelL' | 'labelM' | 'labelS' | 'labelXS' | 'formL' | 'formM' | 'formS' | 'formSC';
export declare type colors = 'primary' | 'secondary' | 'accent' | 'neutral' | 'error' | 'success';
export declare type paddingScaleType = 'paddingXXS' | 'paddingXS' | 'paddingS' | 'paddingM' | 'paddingL' | 'paddingXL' | 'padding2XL' | 'padding3XL' | 'padding4XL';
export declare type spacingScaleType = 'spacingXXS' | 'spacingXS' | 'spacingS' | 'spacingM' | 'spacingL' | 'spacingXL' | 'spacing2XL' | 'spacing3XL' | 'spacing4XL' | 'spacing5XL' | 'spacing6XL';
export declare type TypographyProps = {
    fontSize: string;
    lineHeight: string;
    fontWeight: number;
};
export declare type EffectType = {
    shadow: Record<'100' | '200', string>;
};
export declare type ThemeType = {
    colors: Record<colors, unknown>;
    paddingScale: Record<paddingScaleType, string>;
    spacingScale: Record<spacingScaleType, string>;
    typography: Record<typographyBreakPoints, TypographyProps>;
    effects: EffectType;
    tokens?: Record<string, unknown>;
};
export declare type BolttechThemeProviderPropsType = {
    children?: ReactElement | ReactElement[];
    theme: ThemeType;
};
