"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createColorClasses = void 0;

var _Color = require("./Color.js");
/**
 * This function is responsible to create class auxiliary for text colours and backgrounds
 * and backgrounds using the theme itself.
 * @param {ThemeType} theme
 */


const createColorClasses = theme => {
  const themeColorKeys = Object.keys(theme.colors);
  let colorClasses = '';
  themeColorKeys.forEach(categoryKey => {
    colorClasses += Object.keys(theme.colors[categoryKey]).map(keyColor => `
        .text-${categoryKey}-${keyColor} {
          color: ${theme.colors[categoryKey][keyColor]};
        }
        .bg-${categoryKey}-${keyColor} {
          background-color: ${theme.colors[categoryKey][keyColor]};
        }
        .fill-${categoryKey}-${keyColor} {
          ${(0, _Color.getFilteredColor)(theme.colors[categoryKey][keyColor])}
        }
      `).join('');
  });
  return colorClasses;
};

exports.createColorClasses = createColorClasses;